{% extends 'base.html.twig' %}
{% block title %}{% endblock %}
{% block body %}

<body>
    
    <section class="main_sectionGarcon">
        <div class="card_Div">

            <div class="titleDiv">
                <h1>
                </h1>
            </div>

            <div class="cards">
                {% for category in subcategories %}

                <div class="subcardGarcon">
                    <a href="{{ path('app_home_products_display', {'slug':category.slug}) }}">
                        <div>
                            <img src="{{asset('uploads/category/'~ category.picture)}}">
                            <div class="discriptionGarcon">
                                <span>{{category.title}}</span>
                            </div>
                        </div>
                       
                    </a>
                </div>
                {% endfor %}
            </div>

            <div class="cards">
                {% for product in products %}
                <div class="subcardch">
                    {% for variation in product.getProductDefaultVariations() %}
                    {# {{ dump(product) }} #}
                        <a href="{{ path('app_home_productsdetails', {'id':product.id,'idVariation':variation.id}) }}">
                           
                                <div>
                                    <img src="{{asset('uploads/productvariation/'~ variation.pictures[0].path)}}">
                                </div>
                           
                        <div class="discription">
                            <span>{{variation.subtitle}}</span>
                            <div class="showproduct">
                                <p>PRIX: {{variation.price}}
                                    <i class="fa-solid fa-euro-sign"></i>
                                </p>
                           
                                <a href="{{ path('app_home_productsdetails', {'id':product.id,'idVariation':variation.id}) }}">
                                    <span class="btnCart">
                                        <span>VOIR</span>
                                    </span>
                                </a>
                            </div>
                        </div>
                    </a>
                    {% endfor %}
                </div>
                {% endfor %}
               
            </div>
            <div>
            </div>
        </div>
    </section>



</body>
{% endblock %}
